/*
 * Skeleton-code behorende bij het college Netwerken, opleiding Informatica,
 * Universiteit Leiden.
 */

#ifndef __VARIABLES_H__
#define __VARIABLES_H__

/* Enable debug output */
/*#define DEBUG 1 */

/* This enables a "perfect" connection: no damaged frames and no packet
 * loss. Only to be used for debugging of course.
 */
#define PERFECT_CONNECTION 1

/* The number of packets to (successfully) send/receive */
#define SR_N_PACKETS 1000

/* All delay times to be specified in milliseconds. */
#define PACKET_DELAY_TIME_A 10
#define PACKET_DELAY_TIME_B 30

/* Rates are specified in % probability of occurring. */
#define PACKET_LOSS_PERC 0.1
#define PACKET_DAMAGED_PERC 0.2

/* Expiration time, in milliseconds */
#define ARQ_TIMEOUT 1400



/* The size of the internally used packet buffers. You
 * do *not* need to modify this.
 */
#define PACKET_BUFFER_SIZE 1024

#endif /* __VARIABLES_H__ */
